Bug 76537 - [CSSRegions] Add region styling test for region css rules specificity/position
Summary: [CSSRegions] Add region styling test for region css rules specificity/position
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-01-18 06:31 PST by Mihnea Ovidenie
Modified: 2012-03-22 03:46 PDT (History)
1 user (show)

See Also:


Attachments
Ref test for region styling specificity (5.45 KB, patch)
2012-03-21 09:57 PDT, Mihai Balan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2012-01-18 06:31:23 PST
Working on https://bugs.webkit.org/show_bug.cgi?id=76453 unveiled an issue with the way region styling rules were applied as they were not taking the specificity into account. There should be a test for this.
Comment 1 Mihai Balan 2012-03-21 09:57:59 PDT
Created attachment 133064 [details]
Ref test for region styling specificity
Comment 2 Andreas Kling 2012-03-22 03:09:49 PDT
Comment on attachment 133064 [details]
Ref test for region styling specificity

LGTM.
Comment 3 WebKit Review Bot 2012-03-22 03:46:07 PDT
Comment on attachment 133064 [details]
Ref test for region styling specificity

Clearing flags on attachment: 133064

Committed r111667: <http://trac.webkit.org/changeset/111667>
Comment 4 WebKit Review Bot 2012-03-22 03:46:12 PDT
All reviewed patches have been landed.  Closing bug.